KeyAgreementAlgorithm Class Referenceabstract

Interface for key agreement algorithms. More...

`#include <cryptlib.h>`

Inheritance diagram for KeyAgreementAlgorithm:

## Public Member Functions

CryptoMaterial & | AccessMaterial ()
| Retrieves a reference to Crypto Parameters.
const CryptoMaterial & | GetMaterial () const
| Retrieves a reference to Crypto Parameters.
virtual CryptoParameters & | AccessCryptoParameters ()=0
| Retrieves a reference to Crypto Parameters.
virtual const CryptoParameters & | GetCryptoParameters () const
| Retrieves a reference to Crypto Parameters.
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms.
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object.

## Detailed Description

Interface for key agreement algorithms.

Definition at line 2642 of file cryptlib.h.

## Constructor & Destructor Documentation

## ~KeyAgreementAlgorithm()

virtual KeyAgreementAlgorithm::~KeyAgreementAlgorithm | ( |  | ) |

inline virtual

Definition at line 2645 of file cryptlib.h.

## Member Function Documentation

## AccessMaterial()

CryptoMaterial & KeyAgreementAlgorithm::AccessMaterial | ( |  | ) |

inline virtual

Retrieves a reference to Crypto Parameters.

Returns
  a reference the crypto parameters

Implements AsymmetricAlgorithm.

Definition at line 2649 of file cryptlib.h.

## GetMaterial()

const CryptoMaterial & KeyAgreementAlgorithm::GetMaterial | ( |  | ) | const

inline virtual

Retrieves a reference to Crypto Parameters.

Returns
  a const reference the crypto parameters

Implements AsymmetricAlgorithm.

Definition at line 2652 of file cryptlib.h.

## AccessCryptoParameters()

virtual CryptoParameters & KeyAgreementAlgorithm::AccessCryptoParameters | ( |  | ) |

pure virtual

Retrieves a reference to Crypto Parameters.

Returns
  a reference the crypto parameters

Implemented in DH2, FHMQV_Domain< GROUP_PARAMETERS, COFACTOR_OPTION, HASH >, HMQV_Domain< GROUP_PARAMETERS, COFACTOR_OPTION, HASH >, MQV_Domain< GROUP_PARAMETERS, COFACTOR_OPTION >, DL_SimpleKeyAgreementDomainBase< T >, DL_SimpleKeyAgreementDomainBase< GROUP_PARAMETERS::Element >, x25519, and XTR_DH.

## GetCryptoParameters()

virtual const CryptoParameters & KeyAgreementAlgorithm::GetCryptoParameters | ( |  | ) | const

inline virtual

Retrieves a reference to Crypto Parameters.

Returns
  a const reference the crypto parameters

Definition at line 2659 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h